Subject: Re: du bug, wrong sizes reported.
From: [email-masked] (Earnie Boyd)

26 Jan 1998 05:03:31 -0800
Message-ID: <[email-masked]>
Content-Type: text/plain
To: [email-masked]
Cc: [email-masked]

>Date: Mon, 26 Jan 1998 15:53:58 +1100
>From: Fergus Henderson <[email-masked]>
>To: Earnie Boyd <[email-masked]>
>Cc: [email-masked]
>Subject: Re: du bug, wrong sizes reported.
>
>On 25-Jan-1998, Earnie Boyd <[email-masked]> wrote:
>> 
>> Fergus Henderson <[email-masked]>:
>> >
>> >On 23-Jan-1998, Earnie Boyd <[email-masked]> wrote:
>> >> 
>> >> "Bruce N. Hunsaker" <[email-masked]>:
>> >> >
>> >> >du reports sizes in 2k blocks.  It should report sizes using
>> >> >a block size of 1k.
>> >
>> >> No.  The default block size should be 512 bytes.
>> >
>> >Why?
>> 
>> du --help
>> 
>> type this command to get the answer.
>
>According to `man du' on Linux (corrsponding to GNU fileutils 3.12),
>it should report sizes using a block size of 1k, unless the environment
>variable POSIXLY_CORRECT is set, in which case the default block size
>should be 512 bytes.

OK. I just took a look at the fileutils.info file and it says the same 
thing.  However, du --help doesn't really say, other than inferences 
with the descriptions of the -k and -m switches.  And, when I looked at 
du on AIX UNIX it reported 512k blocks and no POSIXLY_CORRECT 
environment variable.

>
>-- 
>Fergus Henderson <[email-masked]>   |  "I have always known that the 
pursuit
>WWW: <http://www.cs.mu.oz.au/~fjh>   |  of excellence is a lethal 
habit"
>PGP: finger [email-masked]         |     -- the last words of T. S. 
Garp.
>

Thanks, Fergus, for setting me straight.

-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

______________________________________________________
Get Your Private, Free Email at http://www.hotmail.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".